#!/usr/bin/env fish
#
set_nightfox_vars

fundle plugin 'edc/bass'
fundle plugin 'jorgebucaran/nvm.fish'
fundle plugin 'rbenv/fish-rbenv'
fundle init

set -x COLORFGBG "default;default"
set -x VISUAL "nvim"
set -x EDITOR "lvim"
set -x PAGER "nvimpager"
set -x BROWSER "firefox"
set -x PATH ~/.local/bin ~/.cargo/bin ~/go/bin /usr/sbin /sbin /usr/local/sbin /usr/local/bin /usr/bin /bin /usr/games

set -x KEYRING_PROPERTY_SCHEME KeePassXC

fish_vi_key_bindings

set fish_cursor_default block
set fish_cursor_insert line
set fish_cursor_replace_one underscore
set fish_cursor_visual block

set fish_term24bit 1

if test -e ~/.config/fish/config-private.fish
    source ~/.config/fish/config-private.fish
end

if test -e ~/.config/fish/config-root.fish
    source ~/.config/fish/config-root.fish
end
