-- Read the docs: https://www.lunarvim.org/docs/configuration
-- Video Tutorials: https://www.youtube.com/watch?v=sFA9kX-Ud_c&list=PLhoH5vyxr6QqGu0i7tt_XoVK9v-KvZ3m6
-- Forum: https://www.reddit.com/r/lunarvim/
-- Discord: https://discord.com/invite/Xb9B4Ny

lvim.plugins = {
  {
    "EdenEast/nightfox.nvim",
    lazy=false,
    priority=1000
  },
  {"salkin-mada/openscad.nvim", event="BufRead"},
  {"ChiliConSql/neovim-stylus", event="BufRead"},
  {"digitaltoad/vim-pug", event="BufRead"},
  {"pirmd/gemini.vim", event="BufRead"},
  {"dpelle/vim-Grammalecte"},
  {"vigoux/LanguageTool.nvim"},
  {"chaimleib/vim-renpy", event="BufRead"}
}

vim.opt.clipboard = 'unnamedplus'

vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.expandtab = true

vim.opt.number = false
vim.opt.cursorline = true
vim.opt.splitbelow = true
vim.opt.splitright = true
vim.opt.termguicolors = true
vim.opt.showmode = false
vim.opt.textwidth=78
vim.opt.colorcolumn = "29,30,71,72,79,80,119,120,139,140"

vim.opt.incsearch = true
vim.opt.hlsearch = false
vim.opt.ignorecase = true
vim.opt.smartcase = true

vim.opt.fdm = 'indent'
vim.opt.listchars = {eol = '¶', tab = '⁝‧' , extends = '␐', precedes= '␑', trail = '˽', nbsp = '⎵' }
vim.opt.list = true

vim.opt.spelllang = 'fr'
vim.g.grammalecte_cli_py = '/usr/bin/grammalecte-cli'
vim.g.languagetool_jar = '~/.bin/languagetool-commandline.jar'

opts = {noremap=true, silent=true}
vim.keymap.set('n', '<tab>', "gt", opts)
vim.keymap.set('n', '<S-tab>', "gT", opts)
vim.keymap.set('v', 'gl', ":'<,'>!lou_translate en-us-brf.dis,fr-bfu-comp6.utb,braille-patterns.cti<CR>", opts)
vim.keymap.set('v', 'gL', ":'<,'>!lou_translate --backward en-us-brf.dis,fr-bfu-comp6.utb,braille-patterns.cti<CR>", opts)

lvim.colorscheme="nightfox"
lvim.transparent_window = true
