#!/usr/bin/env bash
# Nightfox colors for Tmux
# name: Nightfox
# license: MIT
# palette author: EdenEast
# initial author: EdenEast
# adapted by: Kujiu
# preferred_background: 131a24
# Style: nightfox
# Upstream: https://github.com/edeneast/nightfox.nvim/raw/main/extra/nightfox/nightfox_tmux.tmux

BLACK="#393b44"
RED="#c94f6d"
GREEN="#81b29a"
YELLOW="#dbc074"
BLUE="#719cd6"
MAGENTA="#9d79d6"
CYAN="#63cdcf"
WHITE="#dfdfe0"
ORANGE="#f4a261"
PINK="#d67ad2"

COMMENT="#738091"

BG0="#131a24"
BG1="#192330"
BG2="#212e3f"
BG3="#29394f"
BG4="#39506d"

FG0="#d6d6d7"
FG1="#cdcecf"
FG2="#aeafb0"
FG3="#71839b"

SEL0="#2b3b51"
SEL1="#3c5372"

set -g mode-style "fg=$FG3,bg=$BG3"
set -g message-style "fg=$FG2,bg=default"
set -g message-command-style "fg=$FG2,bg=$BG0"
set -g pane-border-style "fg=$FG2"
set -g pane-active-border-style "fg=$BLUE"
set -g status "on"
set -g status-justify "left"
set -g status-style "fg=$FG2,bg=$BG0"
set -g status-left-length "100"
set -g status-right-length "100"
set -g status-left-style NONE
set -g status-right-style NONE
set -g status-left "#[fg=$BG0,bg=$BLUE,bold]#S#[fg=$BLUE,bg=$CYAN,nobold,nounderscore,noitalics]#[fg=$BG0,bg=$CYAN]#{session_windows}#[fg=$CYAN,bg=$BG0]"

%if "#{SSH_CONNECTION}"
    HOST_COLOR="$RED"
%else
    HOST_COLOR="$BLUE"
%endif

%if "#{==:#{USER},root}"
    USER_COLOR="$ORANGE"
%else
    USER_COLOR="$CYAN"
%endif

set -g status-right "#[fg=$BG3,bg=$BG0,nobold,nounderscore,noitalics]#[fg=$FG2,bg=$BG3]%H:%M#[fg=$USER_COLOR,bg=$BG3,nobold,nounderscore,noitalics]#[fg=$BG0,bg=$USER_COLOR,bold]#{=3:USER}#[fg=$HOST_COLOR,bg=$USER_COLOR,nobold,nounderscore,noitalics]#[fg=$BG0,bg=$HOST_COLOR,bold]#{=5:host}"

set -g window-status-activity-style "underscore,fg=$FG3,bg=$BG0"
set -g window-status-separator ""
set -g window-status-style "NONE,fg=$COMMENT,bg=$BG0"

WINDOW_BELL_FORMAT="#[fg=$BG0#,bg=$RED#,nobold#,nounderscore#,noitalics]#I#F#[fg=$RED#,bg=$BG0]"
WINDOW_ACTIVITY_FORMAT="#[fg=$BG0#,bg=$BG3#,nobold#,nounderscore#,noitalics]#[fg=$BLUE#,bg=$BG3]#I#F#[fg=$BG3#,bg=$BG0]"
WINDOW_ACTIVITY_FORMAT_COND="#{?window_activity_flag,$WINDOW_ACTIVITY_FORMAT,}"

set -g window-status-bell-style "NONE"

set -g window-status-format "#{?window_bell_flag,$WINDOW_BELL_FORMAT,$WINDOW_ACTIVITY_FORMAT_COND}"
set -g window-status-current-format "#[fg=$BG0,bg=$ORANGE,nobold,nounderscore,noitalics]#[bold]#I#W#F#[fg=$ORANGE,bg=$BG0,nobold,nounderscore,noitalics]"
